Installing Kernel 2.6.38.5 in the Ubuntu 11.04 (Natty Narwhal)

Posted: May 3, 2011 in Ubuntu
Tags: , , ,

Hello everybody.

After to update the GCC, now is the time to update the Kernel. We know that Ubuntu 11.04 already come with Kernel 2.6.38 but we will install the 2.6.38.5 and what is installed is a generic and it doesn’t take advantage like one compiled to your specific computer.

To do that, follow the same procedures posted in Installing Kernel 2.6.38.3 in the Ubuntu 10.10. Remember there is a new update. Instead of use linux-2.6.38.3.tar.bz2 you will must use linux-2.6.38.5.tar.bz2. Don’t forget to make this change.

After run the command sudo make menuconfig, If you receive the error below:

*** Unable to find the ncurses libraries or the
*** required header files.
*** ‘make menuconfig’ requires the ncurses libraries.
***
*** Install ncurses (ncurses-devel) and try again.
***
make[1]: *** [scripts/kconfig/dochecklxdialog] Error 1
make: *** [menuconfig] Error 2

Still In the shell, type:

sudo apt-get install libncurses5-dev

After that, run the command sudo make menuconfig again.

That’s it. See you next time.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s